import { Manager } from './';
import * as initializers from '../initializers';
export declare class InitializerManager extends Manager {
    private _initialized;
    private initializers;
    get initialized(): boolean;
    addInitializer(initializer: initializers.Initializer): void;
    removeInitializer(initializer: initializers.Initializer): void;
    init(): void;
    reset(): void;
    private setupInitializer;
    private applyInitializers;
    private setInitialView;
}
